#!/bin/bash


path=`pwd`;
export LD_LIBRARY_PATH=${path}/lib
cd runin;

logid=`echo $1 | sed 's=^.*/==g'`
$path/bin/freeciv-cmdline -p $1 -i $2 &> /dev/null &
#$path/bin/freeciv-cmdline_ijcai -p $1 -i $2 &> $path/logs/civ/client.$logid.log &
pid=$!

# set signal trap to shutdown all freeciv processes on ctrl-c
trap 'kill -9 $pid; exit 1' 1 2 9 15

wait
