#!/bin/bash


path=`pwd`;
export LD_LIBRARY_PATH=${path}/lib
cd runin;

logid=`echo $1 | sed 's=^.*/==g'`
$path/bin/freeciv-server --debug 0 -p $1 &> /dev/null &
#$path/bin/freeciv-server_ijcai --debug 0 -p $1 &> $path/logs/civ/server.$logid.log &
pid=$!

# set signal trap to shutdown all freeciv processes on ctrl-c
trap 'kill -9 $pid; exit 1' 1 2 9 15

wait
